Subject: bug#19547: Patch for this bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Nov 2016 21:43:31 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 8 Nov 2016 22:20:11 +0000
> Cc: [email-masked]
> 
> ​I'm in the middle of a long list of Emacs bugs I am trying to fix, and this one came up by chance at the same
> time, because I was suffering from the bug.
> 
> I'd rather have a simple fix that can also go on the emacs-25 branch, and I don't really have more time to work
> on a proper fix, sorry.

This change will not be on emacs-25 (as this issue existed forever),
so there's no rush in implementing it.  You can do it whenever you
have time.  If you cannot afford working more on this issue, then I
guess we will have to wait for someone else to implement my suggestion
(or something similar).

> On the other hand, I think it would be sad to have to wait (perhaps forever!) for a "good" fix, when an
> acceptable fix is available. In particular, no reasonable application is going to expect a request for the selection
> to trigger a keyboard input event. So indeed future applications may need the "good" fix, but no (reasonable)
> application will be adversely affected by this fix.

I don't think I asked for something so complicated and hard to
accomplish that it would justify partial fixes on master.  I'm very
uneasy with having the list of hard-coded events we ignore for this
purpose continue to grow one event at a time.  Making this controlled
by a Lisp variable will make its future maintenance much easier,
including when someone, perhaps you, comes up complaining about yet
another obscure event.

Thanks.